using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace FpSpreadGrouping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\Database1.mdb";
            OleDbConnection con = new OleDbConnection(connectionString);
            string sql1 = "SELECT * from tbl_invoice_sale_barcode_head";
            string sql2 = "SELECT * from tbl_invoice_sale_barcode_details";
            OleDbDataAdapter head = new OleDbDataAdapter(sql1, con);
            OleDbDataAdapter details = new OleDbDataAdapter(sql2, con);
            head.Fill(ds, "tbl_invoice_sale_barcode_head");
            details.Fill(ds, "tbl_invoice_sale_barcode_details");
            DataColumn[] parentColumns = new DataColumn[2];
            DataColumn[] childColumns = new DataColumn[2];

            parentColumns[0] = ds.Tables["tbl_invoice_sale_barcode_head"].Columns["doc_no"];
            parentColumns[1] = ds.Tables["tbl_invoice_sale_barcode_head"].Columns["casher_no"];

            childColumns[0] = ds.Tables["tbl_invoice_sale_barcode_details"].Columns["doc_no"];
            childColumns[1] = ds.Tables["tbl_invoice_sale_barcode_details"].Columns["casher_no"];
            
            DataRelation headTodetails = new DataRelation("headTodetails", parentColumns, childColumns, false);
            ds.Relations.Add(headTodetails);

            fpSpread1.DataSource = ds;
        }
    }
}
